/*
The MCP3421 is a single channel low-noise, high
accuracy delta/sigma A/D converter with differential inputs and
up to 18 bits of resolution in a small SOT-23-6 package.
The on-board precision 2.048V reference voltage
enables an input range of 2.048V differentially
(delta voltage = 4.096V). The device uses a two-wire I2C
compatible serial interface and operates from a single
2.7V to 5.5V power supply.
*/


#define MCP3421	0x68;

enum //conversionmodes
{
	ContinuosConversion,
	OneShotConversion
};

enum //conversionstartence
{
	NO_CONVERSIONSTART,
	CONVERSIONSTART
};

enum //accuracy bits
{
	twelve_bits = 0,		
	fourteen_bits,	
	sixteen_bits,	
	eightteen_bits
};	

enum //Programmable Gain Amplifier
{
	PGAx1 = 0,
	PGAx2,
	PGAx4,
	PGAx8
};

void mcp3421_init (int conversionmode, int conversionstartence, int bits, int gain);
int read_mcp3421_adc_raw (void);
int read_mcp3421_adc (void);